Bug 440303 - Xsane and F9 beta
Xsane and F9 beta
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xsane (Show other bugs)
9
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On: 485136
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-02 14:02 EDT by dominique
Modified: 2009-07-14 14:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:13:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lshal (50.49 KB, application/octet-stream)
2008-04-03 13:57 EDT, dominique
no flags Details
lshal | grep usb (41.18 KB, text/plain)
2008-04-03 14:55 EDT, dominique
no flags Details
lshal complete (50.49 KB, text/plain)
2008-04-04 15:18 EDT, dominique
no flags Details
lshal -t (4.53 KB, application/octet-stream)
2008-04-22 15:52 EDT, dominique
no flags Details
lshal -t.txt (4.53 KB, text/plain)
2008-04-23 00:56 EDT, dominique
no flags Details
lshal -u (7.25 KB, text/plain)
2008-04-23 01:16 EDT, dominique
no flags Details

  None (edit)
Description dominique 2008-04-02 14:02:31 EDT
Description of problem:
I have installed F9 beta just for test and I have problem with xsane.
I have an Epson multi-fonction DX 5050 who work fine with F8.
But with F9 beta printer work but scanner no.
With xsane I have this error message:
Erreur d'ouverture du périphérique `v4l:/dev/video0:
Argument invalide.

also with user and root

Additional info:kernel 2.6.25-0.177.rc7.git6.fc9.x86_64
Comment 1 Nils Philippsen 2008-04-03 05:58:39 EDT
Which versions of sane-backends do you have installed (I guess your problem
should be fixed with sane-backends-1.0.19-10)?

Small request: in the future, when reporting error messages, please run the tool
in question with a locale of en_US.UTF-8 (e.g. "env LC_ALL=en_US.UTF-8 xsane").
This time, guessing what the error message means was fairly easy, but (having
chosen Latin instead of French as my second foreign language at the age of
twelve) next time may be harder to do that. I got wiser when I got older, but
that doesn't really help now ;-). Thanks.
Comment 2 dominique 2008-04-03 11:32:22 EDT
the installed version of sane-backends is sane-backends-1.0.19-10.fc9 and my
scanner don't work.
The error message in English is:
Failed to open device `v4l:/dev/video0`:
Invalid argument.

Comment 3 Nils Philippsen 2008-04-03 12:37:28 EDT
(In reply to comment #2)
> the installed version of sane-backends is sane-backends-1.0.19-10.fc9 and my
> scanner don't work.

Please create two attachments to this bug with the output of the commands
"lshal" and "lsusb" (I'm assuming your scanner is connected via USB).

> The error message in English is:
> Failed to open device `v4l:/dev/video0`:
> Invalid argument.

I think that's unrelated -- you likely don't have a video for linux capable
device installed, so if the message bothers you, you can comment out the "v4l"
line in /etc/sane.d/dll.conf.
Comment 4 dominique 2008-04-03 13:49:27 EDT
lsusb:
[root@localhost ~]# lsusb
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 002: ID 045e:00d2 Microsoft Corp.
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 003: ID 04f2:b008 Chicony Electronics Co., Ltd
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 002: ID 0483:2016 SGS Thomson Microelectronics Fingerprint Reader
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

I comment the "v4l" line in /etc/sane.d/dll.conf and now I have this message:
no devices available

with F8 I have for my Epson 5050
Bus 004 Device 003: ID 04b8:082b Seiko Epson Corp
Comment 5 dominique 2008-04-03 13:57:58 EDT
Created attachment 300293 [details]
lshal
Comment 6 dominique 2008-04-03 14:35:44 EDT
I am stupid...my usb connection was unplugged...
lsusb:
[root@localhost ~]# lsusb
Bus 002 Device 003: ID 04b8:082b Seiko Epson Corp. Stylus DX5050
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 002: ID 045e:00d2 Microsoft Corp.
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 003: ID 04f2:b008 Chicony Electronics Co., Ltd
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 002: ID 0483:2016 SGS Thomson Microelectronics Fingerprint Reader
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

My printing is here but when I launch xsane I have this error message  
"no devices available"
 also with root and user
Comment 7 dominique 2008-04-03 14:55:24 EDT
Created attachment 300305 [details]
lshal | grep usb
Comment 8 Nils Philippsen 2008-04-04 04:23:12 EDT
(In reply to comment #7)
> Created an attachment (id=300305) [edit]
> lshal | grep usb

Please attach the complete output of the "lshal" command -- only lines with USB
in them don't help really much ;-).
Comment 9 dominique 2008-04-04 15:18:35 EDT
Created attachment 301326 [details]
lshal complete
Comment 10 Nils Philippsen 2008-04-22 11:53:29 EDT
This doesn't seem to be the complete output to me -- I don't find your
scanner/printer and it doesn't begin like this:

Dumping 131 device(s) from the Global Device List:
-------------------------------------------------
[...]

Would you please attach the complete lshal output? Thanks.
Comment 11 dominique 2008-04-22 15:38:18 EDT
when I do lshal command i have the text who is posted in the attachment...
I think it is too long for my console and I don't see all...
Comment 12 dominique 2008-04-22 15:52:58 EDT
Created attachment 303363 [details]
lshal -t
Comment 13 dominique 2008-04-22 15:54:30 EDT
I have a complete output with lshal -t
see the attachment
Comment 14 dominique 2008-04-23 00:56:47 EDT
Created attachment 303425 [details]
lshal -t.txt
Comment 15 dominique 2008-04-23 01:15:25 EDT
With lshal -u I can see the device scanner
See the lshal -u attachment
Comment 16 dominique 2008-04-23 01:16:04 EDT
Created attachment 303432 [details]
lshal -u
Comment 17 dominique 2008-04-30 12:24:56 EDT
I try "sane-find-scanner" and I have:

found USB scanner (vendor=0x04b8 [EPSON], product=0x082b [USB2.0 MFP(Hi-Speed)])
at libusb:002:003
found USB scanner (vendor=0x0483, product=0x2016) at libusb:003:002
  # Your USB scanner was (probably) detected. It may or may not be supported by
  # SANE. Try scanimage -L and read the backend's manpage.

First usb scanner is my all-in-one epson 5050 scanner
Second correspond to my Fingerprint Reader

When I do "scanimage -L" I have:
[dominique@localhost ~]$ scanimage -L

No scanners were identified. If you were expecting something different,
check that the scanner is plugged in, turned on and detected by the
sane-find-scanner tool (if appropriate). Please read the documentation
which came with this software (README, FAQ, manpages).

as root and user...


Comment 18 dominique 2008-04-30 13:37:30 EDT
Yeepee...
I have the solution...
In /etc/sane.d/dll.conf there are two lines for epson:
epson
epson2

I comment "epson2":
epson
#epson2

and now my scanner work...
Comment 19 Bug Zapper 2008-05-14 04:35:58 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 20 dominique 2008-05-27 13:33:08 EDT
This bug is present with F9...
And solution are same...
Commenting "epson2" line in /etc/sane.d/dll.conf
Comment 21 Luya Tshimbalanga 2008-06-08 05:17:34 EDT
I confirmed the workaround is effective on my Fedora 9 using Epson Stylus
CX4600. I guess upstream should address the problem.
Comment 22 Bug Zapper 2009-06-09 19:58:58 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 23 Nils Philippsen 2009-06-10 11:14:07 EDT
FYI: I'm working on packaging the new upstream version 1.0.20 which will eventually find its way into F-10 and F-11. Please check it with this version once it's available.
Comment 24 Bug Zapper 2009-07-14 14:13:46 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.